%define package_name gal
%define lib_major 23
%define lib_name %mklibname %{package_name} %{lib_major}

Summary: Library for compound documents in GNOME
Name: %{package_name}
Version: 0.24
Release: 4mdk
License: LGPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{package_name}/%{package_name}-%{version}.tar.bz2
# (gb) 0.24-4mdk stick to libtool 1.4, with fixes
Patch0: gal-0.24-libtool.patch.bz2
# (fc) 0.19.3-3mdk fix cflags and ldflags
Patch1: gal-0.23-flags.patch.bz2
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	freetype2-devel
BuildRequires:	gettext
BuildRequires:	gnome-print-devel >= 0.22
BuildRequires:	gnome-vfs-devel
BuildRequires:	libforms-devel
BuildRequires:	libglade-devel >= 0.13
BuildRequires:	xpm-devel
%if %{mdkversion} >= 1010
BuildRequires:	automake1.4
%else
BuildConflicts:	automake1.6
%endif

%description
This the G App Libs (GAL).

This module contains some library functions that came from Gnumeric
and Evolution.  The idea is to reuse those widgets across various
larger GNOME applications that might want to use these widgets.

%package -n %{lib_name}
Summary: %{summary}
Group: %{group}
Provides: %{package_name} = %{version}-%{release}
Obsoletes: %{package_name}

%description -n %{lib_name}
This the G App Libs (GAL).

This module contains some library functions that came from Gnumeric
and Evolution.  The idea is to reuse those widgets across various
larger GNOME applications that might want to use these widgets.

%package -n %{lib_name}-devel
Summary: Libraries and include files for gal
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{package_name}-devel = %{version}-%{release}
Obsoletes: %{package_name}-devel
Provides: lib%{package_name}-devel = %{version}-%{release}
Requires: freetype2-devel
Requires: gnome-print-devel >= 0.22
Requires: libglade-devel

%description -n %{lib_name}-devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gal.

%prep
%setup -q -n %{package_name}-%{version}
%patch0 -p1 -b .libtool
%patch1 -p1 -b .flags

# needed by patch 1
automake-1.4
autoconf

%build
%configure2_5x

# don't use make macro, parallel compilation is broken
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%{find_lang} %{package_name}-%{version}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n %{lib_name}
  
%postun -p /sbin/ldconfig -n %{lib_name}

%files -f %{package_name}-%{version}.lang -n %{lib_name}
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_datadir}/etable
%dir %{_datadir}/gal
%{_datadir}/gal/%{version}
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/*.sh
%{_includedir}/*
%{_datadir}/gal/html
%{_libdir}/pkgconfig/*

%changelog
* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.24-4mdk
- stick to libtool 1.4, with fixes

* Wed Sep 29 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.24-3mdk
- use automake 1.4

* Fri May 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.24-2mdk
- rebuild 

* Tue Apr 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.24-1mdk
- Release 0.24

* Fri Feb  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.23-1mdk
- Release 0.23
- Regenerate patch 1

* Mon Dec 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-2mdk
- Fix devel dependency

* Mon Dec 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.22-1mdk
- Release 0.22

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.21-1mdk
- Release 0.21
- Remove patch0 (no longer needed)

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.19.3-4mdk
- Patch1: don't add -I/usr/include to cflags and -L/usr/lib to ldflags

* Sun Aug  4 2002 Stefan van der Eijk <stefan@eijk.nu> 0.19.3-3mdk
- BuildRequires + BuildConflicts

* Tue Jul 23 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.19.3-2mdk
- We sometimes need to update aclocal.m4 to get an updated libtool.m4
  merged in. Aka. make libtool/configure lib64-aware.

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.19.3-1mdk
- Release 0.19.3

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.19.2-1mdk
- Release 0.19.2

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.19.1-1mdk
- Release 0.19.1

* Sun Feb 24 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 0.19-4mdk
- integrated Basque (and others) translation

* Wed Feb 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.19-3mdk
- Fix requires for -devel package

* Tue Jan 15 2002 Stefan van der Eijk <stefan@eijk.nu> 0.19-2mdk
- BuildRequires

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.19-1mdk
- Release 0.19

* Thu Nov 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18.1-1mdk
- Release 0.18.1
- Regenerate patch0

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-3mdk
- Recompiled against latest libglade (headers moved)

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-2mdk
- Fix license

* Thu Nov  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.18-1mdk
- Release 0.18
- Regenerate patch0

* Sun Oct 28 2001 Stefan van der Eijk <stefan@eijk.nu> 0.15-2mdk
- BuildRequires: libxml-devel
- Removed redundant BuildRequires

* Mon Oct 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.15-1mdk
- Release 0.15
- Regenerate patch0

* Thu Sep 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12

* Fri Sep  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-3mdk
- Patch1: fix i18n problem (GNOME CVS)

* Thu Sep 06 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11.2-2mdk
- BuildRequires: flex
- Remove redundant BuildRequires

* Thu Aug 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.2-1mdk
- Release 0.11.2

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11.1-1mdk
- Release 0.11.1
- Remove dependencies on oaf and ORBit, gal is a toolkit library

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-1mdk
- Release 0.10
- main package is back to its original name
- Regenerate patch0

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-3mdk
- Rename source package before new libgal version

* Fri Jul 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-2mdk
- Patch0: correct translation filename

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-1mdk
- Release 0.9.1
- main package is back to its original name

* Wed Jul 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk
- Clean specfile
- Rename source package before new libgal version
- Move some files from main to devel package

* Sat Jun 16 2001 Stefan van der Eijk <stefan@eijk.nu> 0.8-2mdk
- BuildRequires: db1-devel

* Mon Jun 11 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.8-1mdk
- new version for gnumeric 0.65

* Wed Apr 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7
- Rename main package to match major lib soname

* Wed Apr 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-3mdk
- Rename source package before new libgal version

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- recompiled against latest glib/gtk/gnomeprint
- (previous changelog has been forgotten, it was release 0.5)

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Remove build conflict on libxml2-devel
- Change main name before upgrading version

* Mon Dec 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1

* Fri Dec 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4

* Fri Dec 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-2mdk
- Rename package for new lib policy

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.2-1mdk
- add a source url.
- bump up version for the new and shiny gnumeric.

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.2.1-1mdk
- new version 0.2.1

* Mon Oct 23 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.2-1mdk
- new version 0.2

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.1-1mdk
- first mandrake release
- compilation with gnome-vfs (needs 0.3.1-5mdk)

